summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHDF Admin <hdfadmin@ncsa.uiuc.edu>2006-07-09 00:27:26 (GMT)
committerHDF Admin <hdfadmin@ncsa.uiuc.edu>2006-07-09 00:27:26 (GMT)
commit2a705867b540f64edbe9254b56164689531fa3af (patch)
treec5e11a3ba8582d9d1d0ce2ad22c8e2dd4d5168a4 /bin
parent4792bbe8569a35ae836d3a8baa95a1f8fb695b11 (diff)
downloadhdf5-2a705867b540f64edbe9254b56164689531fa3af.zip
hdf5-2a705867b540f64edbe9254b56164689531fa3af.tar.gz
hdf5-2a705867b540f64edbe9254b56164689531fa3af.tar.bz2
[svn-r12459] Converted to use svn instead of cvs. Cvs setup and commands are
still retained for future comparison and maybe removed later.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/snapshot9
1 files changed, 7 insertions, 2 deletions
diff --git a/bin/snapshot b/bin/snapshot
index 8dd8d1f..88380e6 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -285,8 +285,10 @@ PREVIOUS=${BASEDIR}/previous
HOSTNAME=`hostname | cut -f1 -d.` # no domain part
if [ $H5VERSION != hdf5 ]; then
CVSVERSION="-r $H5VERSION"
+ SVNVERSION="hdf5/branches/$H5VERSION"
else
CVSVERSION= # use the default (main) version
+ SVNVERSION=hdf5/trunk # use the default (trunk) version
fi
# Try finding a version of diff that supports the -I option too.
@@ -316,8 +318,10 @@ if [ "$cmd" = "all" -o -n "$cmdcheckout" ]; then
echo "CVSROOT not defined!" 1>&2
exit 1
fi
+ SVNROOT=http://sleipnir.hdfgroup.uiuc.edu/svn/repos
# Check out the current version from CVS
- (cd $BASEDIR; cvs -Q co -P -d current ${CVSVERSION} hdf5 ) || exit 1
+ # (cd $BASEDIR; cvs -Q co -P -d current ${CVSVERSION} hdf5 ) || exit 1
+ (cd $BASEDIR; svn -Q co ${SVNROOT}/${SVNVERSION} current ) || exit 1
fi # Do CVS checkout
@@ -442,7 +446,8 @@ if [ "$cmd" = "all" -o -n "$cmdrel" ]; then
echo "Making snapshot release ($RELEASE_VERSION) to ${ARCHIVES}..."
bin/release -d $ARCHIVES $METHODS
perl bin/h5vers -i
- cvs -Q commit -m "Snapshot $RELEASE_VERSION"
+ # cvs -Q commit -m "Snapshot $RELEASE_VERSION"
+ svn -q commit -m "Snapshot $RELEASE_VERSION"
)
errcode=$?
fi